org.apache.cassandra.io.util

## Class ChecksummedOutputStream

- java.lang.Object
- - java.io.OutputStream
  - - org.apache.cassandra.io.util.ChecksummedOutputStream

All Implemented Interfaces:
  java.io.Closeable, java.io.Flushable, java.lang.AutoCloseable

    public class ChecksummedOutputStream
    extends java.io.OutputStream

### Constructor Summary

Constructors
Constructor and Description
`ChecksummedOutputStream(java.io.OutputStream out, java.util.zip.Checksum checksum)`

### Method Summary

Methods
`void` `resetChecksum()`
`void` `write(byte[] b, int off, int len)`
`void` `write(int b)`

### Methods inherited from class java.io.OutputStream

`close, flush, write`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ChecksummedOutputStream

    public ChecksummedOutputStream(java.io.OutputStream out,
                           java.util.zip.Checksum checksum)

### Method Detail

#### resetChecksum

    public void resetChecksum()

#### write

    public void write(int b)
               throws java.io.IOException

Specified by:
  `write` in class `java.io.OutputStream`
Throws:
  `java.io.IOException`

#### write

    public void write(byte[] b,
             int off,
             int len)
               throws java.io.IOException

Overrides:
  `write` in class `java.io.OutputStream`
Throws:
  `java.io.IOException`